﻿import {useBaseApi} from '/@/api/base';

// 客户系统菜单表接口服务
export const useFBS_MenuApi = () => {
	const baseApi = useBaseApi("fBS_Menu");
	return {
		// 分页查询客户系统菜单表
		page: baseApi.page,
		// 查看客户系统菜单表详细
		detail: baseApi.detail,
		// 新增客户系统菜单表
		add: baseApi.add,
		// 更新客户系统菜单表
		update: baseApi.update,
		// 设置客户系统菜单表状态
		setStatus: baseApi.setStatus,
		// 删除客户系统菜单表
		delete: baseApi.delete,
		// 批量删除客户系统菜单表
		batchDelete: baseApi.batchDelete,
		// 导出客户系统菜单表数据
		exportData: baseApi.exportData,
		// 导入客户系统菜单表数据
		importData: baseApi.importData,
		// 下载客户系统菜单表数据导入模板
		downloadTemplate: baseApi.downloadTemplate,
	}
}

// 客户系统菜单表实体
export interface FBS_Menu {
	// 主键Id
	id: number;
	// 父Id
	pid?: number;
	// 菜单类型
	type?: number;
	// 路由名称
	name: string;
	// 路由地址
	path: string;
	// 组件路径
	component: string;
	// 重定向
	redirect: string;
	// 权限标识
	permission: string;
	// 菜单名称
	title?: string;
	// 图标
	icon: string;
	// 是否内嵌
	isIframe?: boolean;
	// 外链链接
	outLink: string;
	// 是否隐藏
	isHide?: boolean;
	// 是否缓存
	isKeepAlive?: boolean;
	// 是否固定
	isAffix?: boolean;
	// 排序
	orderNo?: number;
	// 状态
	status?: number;
	// 备注
	remark: string;
	// 租户Id
	tenantId: number;
	// 创建时间
	createTime: string;
	// 更新时间
	updateTime: string;
	// 创建者Id
	createUserId: number;
	// 创建者姓名
	createUserName: string;
	// 修改者Id
	updateUserId: number;
	// 修改者姓名
	updateUserName: string;
}